Bug 1107446 - templates_parser: FTBFS in rawhide
Summary: templates_parser: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: templates_parser
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Leyh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1109392
Blocks: F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-10 03:00 UTC by Dennis Gilmore
Modified: 2014-06-14 19:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-14 19:39:18 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.08 KB, text/plain)
2014-06-10 03:00 UTC, Dennis Gilmore
no flags Details
root.log (73.62 KB, text/plain)
2014-06-10 03:00 UTC, Dennis Gilmore
no flags Details
state.log (955 bytes, text/plain)
2014-06-10 03:00 UTC, Dennis Gilmore
no flags Details

Description Dennis Gilmore 2014-06-10 03:00:44 UTC
Your package templates_parser failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=7009814

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-10 03:00:50 UTC
Created attachment 906926 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-10 03:00:53 UTC
Created attachment 906927 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-10 03:00:54 UTC
Created attachment 906928 [details]
state.log

Comment 4 Julian Leyh 2014-06-10 16:21:51 UTC
Sorry for wrong depends-on...

There was no gprbuild or xmlada-devel on ARM arch when it tried to compile. Will test if it still fails.

Comment 5 Julian Leyh 2014-06-10 16:51:55 UTC
Build still fails on ARM:

http://koji.fedoraproject.org/koji/taskinfo?taskID=7032716

Comment 6 Julian Leyh 2014-06-13 19:09:16 UTC
Reason for build fail is gprbuild, trying to match target "armv7hl-redhat-linux-gnu", but correct target is "armv7hl-redhat-linux-gnueabi".

Comment 7 Julian Leyh 2014-06-14 18:58:13 UTC
added temporary fix until gprbuild gets rebuilt. simply passing --target=... to gprbuild should make it work.


Note You need to log in before you can comment on or make changes to this bug.